Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.conn
Class ConnectionWrapper

    java.lang.Object
      org.apache.cayenne.conn.ConnectionWrapper

All Implemented Interfaces:
  java.sql.Connection

    public class ConnectionWrapper

extends java.lang.Object
implements java.sql.Connection

ConnectionWrapper is a `java.sql.Connection` implementation that wraps another Connection, delegating method calls to this connection. It works in conjunction with PooledConnectionImpl, to generate pool events, provide limited automated reconnection functionality, etc.

Field Summary

Fields inherited from interface java.sql.Connection
`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

Constructor Summary
`ConnectionWrapper(java.sql.Connection connection, PooledConnectionImpl pooledConnection)` Creates new ConnectionWrapper

Method Summary
`void` | `clearWarnings()`
`void` | `close()`
`void` | `commit()`
`java.sql.Array` | `createArrayOf(java.lang.String arg0, java.lang.Object[] arg1)`
`java.sql.Blob` | `createBlob()`
`java.sql.Clob` | `createClob()`
`NClob` | `createNClob()`
`SQLXML` | `createSQLXML()`
`java.sql.Statement` | `createStatement()`
`java.sql.Statement` | `createStatement(int resultSetType, int resultSetConcurrency)`
`java.sql.Statement` | `createStatement(int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`java.sql.Struct` | `createStruct(java.lang.String arg0, java.lang.Object[] arg1)`
`boolean` | `getAutoCommit()`
`java.lang.String` | `getCatalog()`
`java.util.Properties` | `getClientInfo()`
`java.lang.String` | `getClientInfo(java.lang.String arg0)`
`int` | `getHoldability()`
`java.sql.DatabaseMetaData` | `getMetaData()`
`int` | `getTransactionIsolation()`
`java.util.Map<java.lang.String,java.lang.Class<?>>` | `getTypeMap()`
`java.sql.SQLWarning` | `getWarnings()`
`boolean` | `isClosed()`
`boolean` | `isReadOnly()`
`boolean` | `isValid(int arg0)`
`boolean` | `isWrapperFor(java.lang.Class<?> iface)`
`java.lang.String` | `nativeSQL(java.lang.String sql)`
`java.sql.CallableStatement` | `prepareCall(java.lang.String sql)`
`java.sql.CallableStatement` | `prepareCall(java.lang.String sql, int resultSetType, int resultSetConcurrency)`
`java.sql.CallableStatement` | `prepareCall(java.lang.String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql, int autoGeneratedKeys)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql, int[] columnIndexes)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql, int resultSetType, int resultSetConcurrency)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql, java.lang.String[] columnNames)`
`protected void` | `reconnect(java.sql.SQLException exception)`
`void` | `releaseSavepoint(java.sql.Savepoint savepoint)`
`protected void` | `retire(java.sql.SQLException exception)`
`void` | `rollback()`
`void` | `rollback(java.sql.Savepoint savepoint)`
`void` | `setAutoCommit(boolean autoCommit)`
`void` | `setCatalog(java.lang.String catalog)`
`void` | `setClientInfo(java.util.Properties properties)`
`void` | `setClientInfo(java.lang.String name, java.lang.String value)`
`void` | `setHoldability(int holdability)`
`void` | `setReadOnly(boolean readOnly)`
`java.sql.Savepoint` | `setSavepoint()`
`java.sql.Savepoint` | `setSavepoint(java.lang.String name)`
`void` | `setTransactionIsolation(int level)`
`void` | `setTypeMap(java.util.Map<java.lang.String,java.lang.Class<?>> map)`
`
`<T> T`
` | `unwrap(java.lang.Class<T> iface)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionWrapper

    public ConnectionWrapper(java.sql.Connection connection,
                             PooledConnectionImpl pooledConnection)

  Creates new ConnectionWrapper

Method Detail

### reconnect

    protected void reconnect(java.sql.SQLException exception)
                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### retire

    protected void retire(java.sql.SQLException exception)

### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

  Specified by:
    `clearWarnings` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### close

    public void close()
               throws java.sql.SQLException

  Specified by:
    `close` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### commit

    public void commit()
                throws java.sql.SQLException

  Specified by:
    `commit` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### createStatement

    public java.sql.Statement createStatement()
                                       throws java.sql.SQLException

  Specified by:
    `createStatement` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### createStatement

    public java.sql.Statement createStatement(int resultSetType,
                                              int resultSetConcurrency)
                                       throws java.sql.SQLException

  Specified by:
    `createStatement` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### getAutoCommit

    public boolean getAutoCommit()
                          throws java.sql.SQLException

  Specified by:
    `getAutoCommit` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### getCatalog

    public java.lang.String getCatalog()
                                throws java.sql.SQLException

  Specified by:
    `getCatalog` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### getMetaData

    public java.sql.DatabaseMetaData getMetaData()
                                          throws java.sql.SQLException

  Specified by:
    `getMetaData` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### getTransactionIsolation

    public int getTransactionIsolation()
                                throws java.sql.SQLException

  Specified by:
    `getTransactionIsolation` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

  Specified by:
    `getWarnings` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### isClosed

    public boolean isClosed()
                     throws java.sql.SQLException

  Specified by:
    `isClosed` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### isReadOnly

    public boolean isReadOnly()
                       throws java.sql.SQLException

  Specified by:
    `isReadOnly` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### nativeSQL

    public java.lang.String nativeSQL(java.lang.String sql)
                               throws java.sql.SQLException

  Specified by:
    `nativeSQL` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String sql)
                                           throws java.sql.SQLException

  Specified by:
    `prepareCall` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String sql,
                                                  int resultSetType,
                                                  int resultSetConcurrency)
                                           throws java.sql.SQLException

  Specified by:
    `prepareCall` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql)
                                                throws java.sql.SQLException

  Specified by:
    `prepareStatement` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                       int resultSetType,
                                                       int resultSetConcurrency)
                                                throws java.sql.SQLException

  Specified by:
    `prepareStatement` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### rollback

    public void rollback()
                  throws java.sql.SQLException

  Specified by:
    `rollback` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### setAutoCommit

    public void setAutoCommit(boolean autoCommit)
                       throws java.sql.SQLException

  Specified by:
    `setAutoCommit` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### setCatalog

    public void setCatalog(java.lang.String catalog)
                    throws java.sql.SQLException

  Specified by:
    `setCatalog` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### setReadOnly

    public void setReadOnly(boolean readOnly)
                     throws java.sql.SQLException

  Specified by:
    `setReadOnly` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### setTransactionIsolation

    public void setTransactionIsolation(int level)
                                 throws java.sql.SQLException

  Specified by:
    `setTransactionIsolation` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### getTypeMap

    public java.util.Map<java.lang.String,java.lang.Class<?>> getTypeMap()
                                                                  throws java.sql.SQLException

  Specified by:
    `getTypeMap` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### setTypeMap

    public void setTypeMap(java.util.Map<java.lang.String,java.lang.Class<?>> map)
                    throws java.sql.SQLException

  Specified by:
    `setTypeMap` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### setHoldability

    public void setHoldability(int holdability)
                        throws java.sql.SQLException

  Specified by:
    `setHoldability` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### getHoldability

    public int getHoldability()
                       throws java.sql.SQLException

  Specified by:
    `getHoldability` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### setSavepoint

    public java.sql.Savepoint setSavepoint()
                                    throws java.sql.SQLException

  Specified by:
    `setSavepoint` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### setSavepoint

    public java.sql.Savepoint setSavepoint(java.lang.String name)
                                    throws java.sql.SQLException

  Specified by:
    `setSavepoint` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### rollback

    public void rollback(java.sql.Savepoint savepoint)
                  throws java.sql.SQLException

  Specified by:
    `rollback` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### releaseSavepoint

    public void releaseSavepoint(java.sql.Savepoint savepoint)
                          throws java.sql.SQLException

  Specified by:
    `releaseSavepoint` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### createStatement

    public java.sql.Statement createStatement(int resultSetType,
                                              int resultSetConcurrency,
                                              int resultSetHoldability)
                                       throws java.sql.SQLException

  Specified by:
    `createStatement` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                       int resultSetType,
                                                       int resultSetConcurrency,
                                                       int resultSetHoldability)
                                                throws java.sql.SQLException

  Specified by:
    `prepareStatement` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String sql,
                                                  int resultSetType,
                                                  int resultSetConcurrency,
                                                  int resultSetHoldability)
                                           throws java.sql.SQLException

  Specified by:
    `prepareCall` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                       int autoGeneratedKeys)
                                                throws java.sql.SQLException

  Specified by:
    `prepareStatement` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                       int[] columnIndexes)
                                                throws java.sql.SQLException

  Specified by:
    `prepareStatement` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                       java.lang.String[] columnNames)
                                                throws java.sql.SQLException

  Specified by:
    `prepareStatement` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### createArrayOf

    public java.sql.Array createArrayOf(java.lang.String arg0,
                                        java.lang.Object[] arg1)
                                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`
  Since:
    3.0

### createBlob

    public java.sql.Blob createBlob()
                             throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`
  Since:
    3.0

### createClob

    public java.sql.Clob createClob()
                             throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`
  Since:
    3.0

### createStruct

    public java.sql.Struct createStruct(java.lang.String arg0,
                                        java.lang.Object[] arg1)
                                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`
  Since:
    3.0

### getClientInfo

    public java.util.Properties getClientInfo()
                                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`
  Since:
    3.0

### getClientInfo

    public java.lang.String getClientInfo(java.lang.String arg0)
                                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`
  Since:
    3.0

### isValid

    public boolean isValid(int arg0)
                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`
  Since:
    3.0

### isWrapperFor

    public boolean isWrapperFor(java.lang.Class<?> iface)
                         throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`
  Since:
    3.0

### unwrap

    public <T> T unwrap(java.lang.Class<T> iface)
             throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`
  Since:
    3.0

### createNClob

    public NClob createNClob()
                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`
  Since:
    3.0

### createSQLXML

    public SQLXML createSQLXML()
                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`
  Since:
    3.0

### setClientInfo

    public void setClientInfo(java.util.Properties properties)
                       throws SQLClientInfoException

  Throws:
    `SQLClientInfoException`
  Since:
    3.0

### setClientInfo

    public void setClientInfo(java.lang.String name,
                              java.lang.String value)
                       throws SQLClientInfoException

  Throws:
    `SQLClientInfoException`
  Since:
    3.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.